"""
grib_processor
~~~~~~~~~~~~~~

Ingest grib files and publish metadata for files to RabbitMQ.
"""

from grib_processor.grib import GribPayload, itergrib
from grib_processor.main import dump_message, publish_message
from grib_processor.utils import grib_file_watch


__author__ = "Max Drexler"
__email__ = "mndrexler@wisc.edu"
__version__ = "0.0.1"

__all__ = [
    "GribPayload",
    "itergrib",
    "dump_message",
    "publish_message",
    "grib_file_watch",
]
